Bug 432520 - automatically assign specified uid/gid to /dev/mapper/XX devices
automatically assign specified uid/gid to /dev/mapper/XX devices
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 11:12 EST by Subhendu Ghosh
Modified: 2009-07-30 00:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-30 00:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2008-02-12 11:12:54 EST
Description of problem: 

Currently there is no way to provide specific ownership information (uid/gid)
for multipath devices. Some applications like Oracle ASM like to have complete
ownership of the raw devices.  If these devices are multipathed, it requires a
kludged rc script to change ownership on the devices after multipath is active
but before the application is started up.

udev rules cannot be used effectively in this situation.
Comment 1 Dave Wysochanski 2008-02-18 11:09:04 EST
This is covered by bzs for other releases:
(5.x) https://bugzilla.redhat.com/show_bug.cgi?id=431843
(4.x) https://bugzilla.redhat.com/show_bug.cgi?id=251388
Comment 2 Ben Marzinski 2009-07-29 21:41:25 EDT
multipath.conf now allows uid, gid, and mode options.
Comment 3 Subhendu Ghosh 2009-07-30 00:40:37 EDT
should be able to close this bz then, thanks

Note You need to log in before you can comment on or make changes to this bug.